﻿using Composite.AspNet.MvcFunctions;
using Composite.Core.Application;
using System.Web.Mvc;

namespace DemoMVC
{
    [ApplicationStartup]
    internal static class StartupHandler
    {
        public static void OnBeforeInitialize()
        {
            var functions = MvcFunctionRegistry.NewFunctionCollection();

            functions.RegisterController<Composite.Samples.SimpleMvc.Controllers.HomeController>(
                "Test.SimpleMvc.Home");

            functions.RouteCollection.MapMvcAttributeRoutes();
            functions.RouteCollection.MapRoute(
                "Default",
                "{controller}/{action}/{id}",
                new { action = "Index", id = UrlParameter.Optional }
                );
        }

        public static void OnInitialized()
        { }
    }
}